Bug 1573276 (CVE-2018-1115) - CVE-2018-1115 postgresql: Too-permissive access control list on function pg_logfile_rotate()
Summary: CVE-2018-1115 postgresql: Too-permissive access control list on function pg_l...
Status: NEW
Alias: CVE-2018-1115
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20180510,reported=2...
Keywords: Security
Depends On: 1576771 1576393 1576394 1576772 1576773 1576774 1614337 1614340
Blocks: 1573278
TreeView+ depends on / blocked
 
Reported: 2018-04-30 17:39 UTC by Pedro Sampaio
Modified: 2019-04-22 21:34 UTC (History)
55 users (show)

Fixed In Version: postegresql 10.4, postegresql 9.6.9
Doc Type: If docs needed, set a value
Doc Text:
It was found that pg_catalog.pg_logfile_rotate(), from the adminpack extension, did not follow the same ACLs than pg_rorate_logfile. If the adminpack is added to a database, an attacker able to connect to it could use this flaw to force log rotation.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2565 None None None 2018-08-27 08:21 UTC
Red Hat Product Errata RHSA-2018:2566 None None None 2018-08-27 08:35 UTC

Description Pedro Sampaio 2018-04-30 17:39:21 UTC
PostgreSQL contrib module "adminpack" installs function pg_logfile_rotate(), a
deprecated alias for built-in function pg_rotate_logfile(). By default, only
superusers can execute pg_rotate_logfile(), but anyone can execute
pg_logfile_rotate(). In certain configurations, an attacker could use this to
crash the server or distribute log messages across more log files than the
administrator wished.

Vulnerable Versions: 9.6, 10

Comment 1 Pedro Sampaio 2018-04-30 17:39:48 UTC
Acknowledgments:

Name: the PostgreSQL project
Upstream: Stephen Frost

Comment 3 Chess Hazlett 2018-05-04 20:16:16 UTC
Statement:

This issue does not appear to affect the versions of postgresql as shipped with Red Hat Satellite version 5, CloudForms version 4, Red Hat Single Sign-On 7, and Fuse Service Works 6.

Comment 6 Cedric Buissart 🐶 2018-05-10 11:32:49 UTC
Created mingw-postgresql tracking bugs for this issue:

Affects: epel-7 [bug 1576771]
Affects: fedora-all [bug 1576772]


Created postgresql tracking bugs for this issue:

Affects: fedora-all [bug 1576773]

Comment 8 Cedric Buissart 🐶 2018-05-10 11:36:35 UTC
Upstream fix:
https://git.postgresql.org/gitweb/?p=postgresql.git;a=commitdiff;h=7b34740

Comment 10 errata-xmlrpc 2018-08-27 08:21:20 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.3 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.4 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.5 EUS

Via RHSA-2018:2565 https://access.redhat.com/errata/RHSA-2018:2565

Comment 11 errata-xmlrpc 2018-08-27 08:35:03 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 6
  Red Hat Software Collections for Red Hat Enterprise Linux 6.7 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.3 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.4 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.5 EUS

Via RHSA-2018:2566 https://access.redhat.com/errata/RHSA-2018:2566


Note You need to log in before you can comment on or make changes to this bug.